Bug 101759 - gdm kills X after second login
gdm kills X after second login
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-08-06 11:47 EDT by John Dalbec
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-06 07:17:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace -f gdm -nodaemon output, bzip2 compressed (220.51 KB, application/octet-stream)
2003-08-06 12:21 EDT, John Dalbec
no flags Details

  None (edit)
Description John Dalbec 2003-08-06 11:47:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
If I log in to gdm incorrectly, then on the second login X is killed.  Running
strace -f gdm -nodaemon (from /etc/inittab) shows X dying on a SIGTERM from the
parent gdm process.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. In the greeter, log in as "root" and give an empty password.
2. Repeat. Or, log in as a non-root account and give the correct password.


Actual Results:  X dies.

Expected Results:  Greeter should shake and report "incorrect password".  Or,
the non-root account should be logged in.

Additional info:
Comment 1 John Dalbec 2003-08-06 12:21:58 EDT
Created attachment 93440 [details]
strace -f gdm -nodaemon output, bzip2 compressed

While logged in to my user account, I modified /etc/inittab to run gdm inside
strace and log stdout/stderr to a file, ran "telinit -q", then killed the
parent gdm process.
I logged in as root with an empty password twice.
I logged in as my user account, modified /etc/inittab to restore the original
gdm command, ran "telinit -q", then killed the parent gdm process.
Comment 2 Alexander Larsson 2003-10-06 07:17:51 EDT
This seems to be fixed in the latest Fedora Core test release.

Note You need to log in before you can comment on or make changes to this bug.